0 Replies Latest reply on Aug 27, 2018 7:59 AM by amitgo

    Can't install FirePro W4170M drivers on Linux

    amitgo

      Hello,

      I recently installed Arch Linux on my Dell precision M2800, that has the GPU Amd FirePro W4170M.

      At the beginning I installed the open-source drivers, but now I want to install the official drivers.

      I downloaded the drivers from the site of AMD, extract them, but when I run "sudo ./amd-driver-installer-15.201.2401-x86.x86_64.run" I get:

      Created directory fglrx-install.RFXg3f

      Verifying archive integrity... All good.

      Uncompressing AMD Catalyst(TM) Proprietary Driver-15.201.2401......................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

      =====================================================================

      AMD Catalyst(TM) Proprietary Driver Installer/Packager

      =====================================================================

       

      error: Detected X Server version 'XServer 1.20.1_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib32:XServer 1.20.1_64a:none:4.18.5-arch1-1-ARCH:)

      Installation will not proceed.

       

      Removing temporary directory: fglrx-install.RFXg3f

       

      And when I run:

      sudo pacman -S xorg

      it's just reinstalling everything, so I do have the last version of xorg.

       

      What can I do?

      thank you.